Subject: bug#32825: 27.0.50; Deterministic window management

From: martin rudalics <[email-masked]>
Date: Fri, 09 Nov 2018 10:13:34 +0100

> With emacs -Q and without additional customizations, every error
 > (e.g. evaluating a non-existent variable) is shown in a different window
 > (first in 1, then in 2, then again in 1):
 >
 > +---------------------+
 > | 1.                  |
 > |                     |
 > +---------------------+
 > | 2.                  |
 > |                     |
 > +---------------------+
 > | low selected window |
 > +---------------------+
 >

I see.  The window at the bottom must be made small enough here so it
can't be split.  I suppose the behavior you observe is caused by the
already familiar

             ;; Forget debugger window, it won't be back (Bug#17882).
             (setq debugger-previous-window nil))

because 'debugger-previous-window' is nil here when it happens.

 > This bug can be avoided by adding display-buffer-at-bottom
 > after display-buffer-below-selected, i.e. by using such actions:
 >
 > display-buffer-reuse-window
 > display-buffer-in-previous-window
 > display-buffer-below-selected
 > display-buffer-at-bottom
 >
 > This provides a nicer behavior because display-buffer-at-bottom tries
 > to resize other windows to accommodate the *Backtrace*.

I think we should first investigate the 'debugger-previous-window'
resettings.  Maybe Michael can help.

martin